package edu.cmu.paid.database.storage; 

import java.io.*;
import java.util.*;

public class TestAuthData {
    public static void main(String argv[]) {
	byte [] user = new byte[1];
	byte [] group = new byte[1];
	byte [] get_blob;
	if(argv.length == 0) {
	    for(int i = 0; i < 26; i++) {
		user[0] = (byte) (i + 'a');
		group[0] = (byte) (i + 'A');
		AuthData.addUserProfile(i, user);
		AuthData.addGroupProfile(i, group);
				//System.out.println((char) i + " " + (blob == null));
	    }
	} else if(argv[0].equals("add")) {
	    AuthData.addUserProfile(Integer.parseInt(argv[1]), argv[2].getBytes());
	} else if(argv[0].equals("change")) {
	    AuthData.changeUserProfile(Integer.parseInt(argv[1]), argv[2].getBytes());
	} else if(argv[0].equals("remove")) {
	    AuthData.removeUserProfile(Integer.parseInt(argv[1]));
	} else if(argv[0].equals("show")) {
	    Enumeration data = null;
	    if(argv[1].equals("users")) {
		data = AuthData.getUsers();
	    } else if(argv[1].equals("groups")) {
		data = AuthData.getGroups();
	    } else {
		System.out.println(new String(AuthData.getUserProfile(Integer.parseInt(argv[1]))));
	    }
	    if(data != null) {
		while(data.hasMoreElements()) {
		    System.out.println(new String((byte []) data.nextElement()));
		}
	    }
	} else {
	    System.out.println("Unknown Argument: " + argv[0]);
	}
    }
}
